{{!-- {{log "inventoryList-item.hbs" this}} --}}
{{!-- {{log "inventoryList-item.hbs looting" looting}} --}}

{{#if (and item.notLootable looting)}}
    {{!-- hide No-Drop items when looting --}}
{{else}}
    <li class="item item-entry info-item flexrow reveal-hidden{{#if (eq item.type 'currency')}} inventory-currency-item {{/if}}{{#if item.system.quantity}} quantityNonZero{{else}} quantityZero{{/if}}"
        data-id="{{item.id}}" data-item-id="{{item.id}}" data-magic="{{item.system.attributes.magic}}"
        data-identified="{{item.system.attributes.identified}}" data-location="{{item.system.location.state}}"
        data-name="{{item.name}}" data-type="{{item.type}}" data-loot="{{looting}}" data-uuid="{{item.uuid}}">

        <div class="item-image">
            <img src="{{item.img}}" data-tooltip="{{item.name}}" />
        </div>
        <div class="flexrow">
            {{#if item.contains}}
                <div class="item-container-collapsed"><i class="fas fa-caret-right"
                        id="inventory-container-icon-{{item.id}}"></i></div>
            {{/if}}
            <div class="item-name text-trunc {{item.css}} item-preview">
                <h4>
                    <div class="inventory-item-name">
                        {{item.name}}{{#if (eq item.type 'container')}} <a
                                style="{{#if item.capacity.overloaded}}color:red{{/if}}">({{#if item.capacity.overloaded}}OVERFLOWING{{else}}carries{{/if}}
                                {{item.capacity.value}}
                                lb)</a>{{/if}}
                        {{#if (and (eq item.type 'spell') (eq item.system.type "Arcane") )}}
                            {{#unless item.system.learned}}
                                <a class="btn-learn-magic" style="color:crimson;">
                                    (<b>{{localize "ARS.notlearned"}}</b>)
                                </a>
                            {{/unless}}
                        {{/if}}
                    </div>
                </h4>
            </div>
            <div class="item-location">
                <div class="item-location-controls">
                    <i class="fas fa-{{lookup config.locationStates.fasicons item.system.location.state}}"
                        {{!-- data-tooltip="{{localize (concat "ARS.locationStates." item.system.location.state)}}" --}}></i>
                </div>
            </div>
        </div>

        {{#if isGM}}
            <div class="item-show-magic item-boolean">
                <a class="item-magic"><i {{#if item.system.attributes.magic}} style="color:rgb(85, 85, 255)"
                        class="fa-solid fa-wand-magic-sparkles" {{else}} class="far fa-circle" {{/if}}></i></a>

            </div>
            <div class="item-show-identified item-boolean">
                <a class="item-identified"><i {{#if item.system.attributes.identified}} style="color:green"
                        class="fa fa-check-circle" {{else}} class="fa fa-question-circle" {{/if}}></i></a>
            </div>
        {{/if}}
        <div class="item-quantity-control medium-field" data-tooltip="{{item.system.quantity}}">
            {{#if item.system.quantity}}{{item.system.quantity}}{{/if}}
        </div>
        <div data-tooltip="{{item.system.carriedweight}}" class="medium-field">
            {{#if item.system.carriedweight}}{{item.system.carriedweight}}{{/if}}
        </div>
        <div class="item-context-controls">
            <i class='fa-solid fa-ellipsis-vertical'></i>
            {{!-- <a class="item-control item-edit hidden" data-tooltip="Edit Item"><i class="fas fa-edit"></i></a>
            <a class="item-control item-delete hidden" data-tooltip="Delete Item"><i class="fas fa-trash"></i></a> --}}
        </div>
    </li>
    {{#if item.contains}}
        <div class="container-collapse in-container" data-container-id="{{item.id}}"
            id="inventory-container-expand-{{item.id}}" style="display:none">
            {{#each item.contains as |subItem subId|}}
                {{> "systems/ars/templates/actor/parts/inventoryList-item.hbs" looting=../looting isGM=@root.isGM item=subItem config=@root.config}}
            {{/each}}
        </div>
    {{/if}}

{{/if}}